# Uses of Class
org.eclipse.swt.widgets.Tray

Packages that use Tray
Package
Description
org.eclipse.swt.widgets
SWT widget public API classes.

## Uses of Tray in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets that return Tray
Modifier and Type
Method
Description
`Tray`
TrayItem.`getParent()`
Returns the receiver's parent, which must be a `Tray`.
`Tray`
Display.`getSystemTray()`
Returns the single instance of the system tray or null when there is no system tray available for the platform.
Constructors in org.eclipse.swt.widgets with parameters of type Tray
Modifier
Constructor
Description
``
`TrayItem(Tray parent, int style)`
Constructs a new instance of this class given its parent (which must be a `Tray`) and a style value describing its behavior and appearance.